#include <QtGui>

#include "HelpWindow.h"

#include <libgen.h>	/* required by dirname and basename */
#include <QApplication>


HelpWindow::HelpWindow(QWidget *parent) : QDialog(parent, Qt::CustomizeWindowHint | Qt::WindowTitleHint | Qt::WindowCloseButtonHint) {
	setupUi(this);

	char ex_full_path[FILENAME_MAX];	// backup copy for DEVIL::exe_full_path, so dirname() doesn't corrupt it
	strcpy(ex_full_path, DEVIL::exe_full_path);

//	this->setMinimumWidth (1000);
	textBrowser1->setMinimumSize (1000, 600);
//	this->setMaximumWidth (1350);		// better leave the window size unlimited, help info too wide
//	this->layout()->setResizeMode( QLayout::Fixed );

#ifndef EMBEDDED_HELP
	// ############################################ USE THIS ONLY IF NOT EMBEDDING HELP IN THE EXECUTABLE #######################################################
	/*  textBrowser1->setSource( QString("%1%2").arg(dirname(qApp->argv()[0]),"/help.html") );		// replaced (executable dir path not figured if launched with "./exec_name") */
	textBrowser1->setSource( QString("%1%2").arg(QString(dirname(ex_full_path)),"/doc/help.html") );	// use this for separate help files
	// ##########################################################################################################################################################
#endif

	/*  textBrowser1->setText( QString("%1").arg(dirname(qApp->argv()[0])) );				// TEST - just checking the full path of current dir */

#ifdef EMBEDDED_HELP
	// ############################################ USE THIS ONLY IF EMBEDDING HELP IN THE EXECUTABLE ###########################################################
	textBrowser1->setSource( QUrl("qrc:/images/doc/help.html") );
	// ##########################################################################################################################################################
#endif
}

void HelpWindow::closeEvent (QCloseEvent *event) {
	DEVIL::hlp_open = 0;
	event->accept();
}