#!/bin/sh

# This script would be used to rebuild Qt4.8.6 with static libraries
# and install it in /usr/local/

# Run as root, of course
ROOT_UID=0 # Only users with $UID 0 have root privileges
E_NOTROOT=67 # Non root exit error
DIAL=Xdialog
prgname=`basename $0`
if [ "$UID" -ne "$ROOT_UID" ]; then
 $DIAL --no-close --title "WARNING" \
       --msgbox "This script must be run as root !!! \nTry this: sudo $prgname" 0 0
 exit $E_NOTROOT
fi

wget http://snapshot.debian.org/archive/debian/20140905T043436Z/pool/main/q/qt4-x11/qt4-x11_4.8.6%2Bgit64-g5dc8b2b%2Bdfsg-2.debian.tar.xz
wget http://snapshot.debian.org/archive/debian/20140905T043436Z/pool/main/q/qt4-x11/qt4-x11_4.8.6%2Bgit64-g5dc8b2b%2Bdfsg-2.dsc
wget http://snapshot.debian.org/archive/debian/20140824T043212Z/pool/main/q/qt4-x11/qt4-x11_4.8.6%2Bgit64-g5dc8b2b%2Bdfsg.orig.tar.xz

echo -e "\n\n######################################################\n############## UNPACKING QT SOURCES ##################\n######################################################\n"

dpkg-source -x qt4-x11_4.8.6+git64-g5dc8b2b+dfsg-2.dsc
cd qt4-x11-4.8.6+git64-g5dc8b2b+dfsg

echo -e "\n\n######################################################\n############## RUNNING CONFIGURE #####################\n######################################################\n"

./configure -prefix /usr/local/Qt4.8.6-static \
	    -confirm-license \
	    -commercial \
	    -static \
	    -qt-libpng \
	    -qt-libjpeg \
	    -qt-libmng \
	    -qt-zlib \
	    -qt-sql-sqlite \
	    -largefile \
	    -fast \
	    -opengl es2 \
	    -plugin-sql-mysql \
	    -plugin-sql-odbc \
	    -plugin-sql-psql \
	    -plugin-sql-sqlite \
	    -plugin-sql-tds \
	    -audio-backend \
	    -no-webkit \
	    -qt-libtiff \
	    -qt-freetype \
	    -no-rpath \
	    -dbus-linked \
	    -reduce-relocations \
	    -no-separate-debug-info \
	    -verbose \
	    -fontconfig \
	    -qvfb \
	    -icu

echo -e "\n\n######################################################\n############## RUNNING MAKE ##########################\n######################################################\n"

make

echo -e "\n\n######################################################\n############## RUNNING MAKE INSTALL ##################\n######################################################\n"

make install

exit 0
